[tool.black]
line-length = 120

[tool.pytest.ini_options]
testpaths = [
    "tests"
]

[tool.poetry]
name = "greynirseq"
version = "0.0.1"
description = "Natural language processing for Icelandic, using fairseq"
authors = []
readme = "README.md"
repository = "https://github.com/mideind/GreynirSeq"
packages = [
    {include = "greynirseq", from = "src"}
]
[tool.poetry.scripts]

[tool.poetry.dependencies]
python = "^3.7.2"
fairseq = {git = "https://github.com/pytorch/fairseq.git", rev = "7f4c7481a54a9d1da0a3c65084cb79c70196ddd2"}
nltk = "^3.5"
reynir = "^2.10.1"
transformers = "^4.3.2"
spacy = "^2"
pyjarowinkler = "^1.8"
scipy = "^1.5"

[tool.poetry.dev-dependencies]
pydocstyle = "^5.0.2"
pytest = "^6.0.1"
tensorboard = "^2.3.0"
rope = "^0.17.0"
black = "^20.8b1"

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
